Debian Trinity Repository Installation Instructions

From Trinity Desktop Project Wiki
Revision as of 20:30, 16 August 2018 by SlavekB (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search


On this page you can read the instructions to install or upgrade Trinity Desktop Environment on your Debian system.


Available versions and architectures

R14.0.x series

Official TDE packages are available for the following versions of Debian.

  • 9.x - stretch : amd64, i386, armel, armhf, arm64, ppc64el
  • 8.x - jessie  : amd64, i386, armel, armhf, arm64, ppc64el
  • 7.x - wheezy  : amd64, i386, armel, armhf
  • 6.x - squeeze : amd64, i386, armel


Additionally, unofficial but well-trusted rolling builds are available for a broader set of versions, including 10.x buster and sid.

These are built and maintained by Slávek Banko.


v3.5.13.2

Official TDE packages are available for the following versions of Debian.

  • 7.x - wheezy  : amd64, i386, armel, armhf
  • 6.x - squeeze : amd64, i386, armel
  • 5.x - lenny  : amd64, i386


Configure the package manager

Add the following lines to your /etc/apt/sources.list file.

NOTE 1: make sure to replace <your-distribution> with your actual distribution name.

NOTE 2: deb-src lines following are optional.


TDE R14.0.5

deb http://mirror.ppa.trinitydesktop.org/trinity/trinity-r14.0.0/debian               <your-distribution>  main
deb http://mirror.ppa.trinitydesktop.org/trinity/trinity-builddeps-r14.0.0/debian     <your-distribution>  main
deb-src http://mirror.ppa.trinitydesktop.org/trinity/trinity-r14.0.0/debian           <your-distribution>  main
deb-src http://mirror.ppa.trinitydesktop.org/trinity/trinity-builddeps-r14.0.0/debian <your-distribution>  main


TDE v3.5.13.2

deb http://mirror.ppa.trinitydesktop.org/trinity/trinity-v3.5.13/debian               <your-distribution>  main
deb http://mirror.ppa.trinitydesktop.org/trinity/trinity-builddeps-v3.5.13/debian     <your-distribution>  main
deb-src http://mirror.ppa.trinitydesktop.org/trinity/trinity-v3.5.13/debian           <your-distribution>  main
deb-src http://mirror.ppa.trinitydesktop.org/trinity/trinity-builddeps-v3.5.13/debian <your-distribution>  main


Import GPG signing key

If necessary (from stretch upwards), install the dirmngr package, which is necessary for gnupg.

sudo apt-get install dirmngr

Then install the TDE official key.

sudo apt-key adv --keyserver keyserver.quickbuild.io --recv-keys F5CFC95C

Install Trinity

If you are doing a fresh TDE installation, please follow the steps listed below.
If you are upgrading from an existing R14.0.x or 3.5.13.x version, please follow the instruction under the upgrading section.


Fresh R14.0.x installation

The following steps are suggested for installing the latest R14.0.x version.

NOTE: tde-trinity package is a comprehensive meta-package. To install a minimalist environment, replace tde-trinity with tdebase-trinity in the instructions below.


TDE R14.0.x series

sudo apt-get update
sudo aptitude install tde-trinity


TDE v3.5.13.2

sudo apt-get update
sudo aptitude install kde-trinity


Upgrading from an existing R14.0.x or v3.5.13.x installation

The following steps are suggested for upgrading to the latest R14.0.x version.

NOTE: Before upgrading from v3.5.13.x (or even KDE3), please make sure to go through this page for useful tips suggested by other TDE users.

sudo apt-get update
sudo aptitude full-upgrade

This will upgrade TDE to the newer version and should complete smoothly.

If you are upgrading from an existing R14.0.x installation, you are done.

If you are upgrading from v3.5.13.x, after these two steps some dummy packages may still be installed on your system and could be safely removed. To perform such operation, choose one of the following optional steps.


  • A. If you had previously installed kde-trinity, install the all TDE packages except the development ones as follow.
sudo aptitude install tde-trinity


  • B. If you had previously installed some kde meta packages, (such as kde-core-trinity, kdeadmin-trinity, ...) use the command below, where <tde-equivalent-metapackage> is the equivalent package in R14.0.x (tde-core-trinity, tdeadmin-trinity, ...). Repeat for all meta packages there had been installed.
sudo aptitude install <tde-equivalent-metapackage>


  • C. Run aptitude in interactive mode, limit the display to '~i-trinity~ddummy" and manually check/delete/upgrade unneeded packages from the ones displayed.